Package org.apache.torque.generator.configuration.source

## Class SourceSaxHandlerFactories

- java.lang.Object
- - org.apache.torque.generator.configuration.source.SourceSaxHandlerFactories

-     public class SourceSaxHandlerFactories
      extends Object

  A registry of SourceSaxHandlerFactories. $Id: SourceSaxHandlerFactories.java 1840416 2018-09-09 15:10:22Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceSaxHandlerFactories()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SourceSaxHandlerFactory` | `getSourceSaxHandlerFactory​(String type)` | Returns the SourceSaxHandlerFactory associated with the given type.
    `Set<String>` | `getSourceTypes()` | Returns the known source types.
    `void` | `register​(SourceSaxHandlerFactory sourceSaxHandlerFactory)` | Registers a new SourcseSaxHandlerFactory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceSaxHandlerFactories

          public SourceSaxHandlerFactories()

      Constructor. Registers the default SourceSaxHandlerFactories.

  - ### Method Detail

    - #### register

          public void register​(SourceSaxHandlerFactory sourceSaxHandlerFactory)
                        throws ConfigurationException

      Registers a new SourcseSaxHandlerFactory.
      Parameters:
        `sourceSaxHandlerFactory` - the factory to register, not null.
      Throws:
        `ConfigurationException` - if the type of the registered factory already exists.

    - #### getSourceSaxHandlerFactory

          public SourceSaxHandlerFactory getSourceSaxHandlerFactory​(String type)

      Returns the SourceSaxHandlerFactory associated with the given type.
      Parameters:
        `type` - the type top look for, not null.
      Returns:
        the SourceSaxHandlerFactory associated with the given type, or null if no SourceSaxHandlerFactory exists for the given type.

    - #### getSourceTypes

          public Set<String> getSourceTypes()

      Returns the known source types.
      Returns:
        the known source types, not null.